## zabbix-agent2-plugin-postgresql 6.4.15

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:6.4.15-1+ubuntu24.04) stable; urgency=low

  * update to 6.4.15

 -- Zabbix Packager <info@zabbix.com>  Tue, 21 May 2024 12:22:02 +0300

zabbix-agent2-plugin-postgresql (1:6.4.15~rc1-1) stable; urgency=low

  * update to 6.4.15rc1

 -- Zabbix Packager <info@zabbix.com>  Wed, 15 May 2024 13:08:16 +0300

## zabbix-agent2-plugin-postgresql 6.4.16~rc1

=== Makefile ===
.ONESHELL:

PACKAGE=zabbix-agent2-plugin-postgresql
TOPDIR := $(CURDIR)

ifeq ($(OS),Windows_NT)
GOOS := windows
SHELL := cmd
TOPDIR := $(subst /,\,$(CURDIR))
PACKAGE:=$(PACKAGE).exe
WINDRES = windres.exe
ifneq ("$(shell findstr ZABBIX_RC_NUM $(TOPDIR)\windres\resource.h)","")
ifeq ("$(WINDRES_FLAGS)","")
WINDRES_FLAGS := \
	-D ZABBIX_LICENSE_YEARS='\"$(word 3,$(shell findstr Copyright $(TOPDIR)\main.go | findstr 2001-20))\"' \
	-D ZABBIX_VERSION_MAJOR=$(lastword $(shell findstr const $(TOPDIR)\main.go | findstr VERSION_MAJOR)) \
	-D ZABBIX_VERSION_MINOR=$(lastword $(shell findstr const $(TOPDIR)\main.go | findstr VERSION_MINOR)) \
	-D ZABBIX_VERSION_PATCH=$(lastword $(shell findstr const $(TOPDIR)\main.go | findstr VERSION_PATCH)) \
	-D ZABBIX_VERSION_RC='\"$(lastword $(shell findstr const $(TOPDIR)\main.go | findstr VERSION_RC))\"' \
	-D ZABBIX_VERSION_RC_NUM=1000
endif
endif

RFLAGS := $(RFLAGS) --input-format=rc -O coff

ifeq ("$(ARCH)", "")
ifdef PROCESSOR_ARCHITECTURE
	ARCH := $(PROCESSOR_ARCHITECTURE)
else
	ARCH := x86
endif
endif

ifeq ($(ARCH), x86)
	RFLAGS := $(RFLAGS) --target=pe-i386
else ifeq ($(ARCH), AMD64)
	RFLAGS := $(RFLAGS) --target=pe-x86-64
else ifeq (,$(findstring ARM,$(ARCH)))
ifneq ($(ARCH), $(PROCESSOR_ARCHITECTURE))
$(error Unsupported CPU architecture: $(ARCH))
endif
endif
endif

ifeq ($(ARCH), x86)
	GOARCH := 386
else ifeq ($(ARCH), AMD64)
	GOARCH := amd64
else ifeq ($(ARCH), ARM)
	GOARCH := arm
else ifeq ($(ARCH), ARM64)
	GOARCH := arm64
endif

ifndef GOOS
GOOS := $(shell go env GOOS)
endif

ifndef GOARCH
GOARCH := $(shell go env GOARCH)
endif

DISTFILES = \
	ChangeLog \
	go.mod \
	go.sum \
	LICENSE \
	main.go \
	Makefile \
	postgresql.conf \
	README.md

DIST_SUBDIRS = \
	plugin \
	windres \
	vendor

.build_rc:
ifneq ("$(WINDRES)","")
	$(WINDRES) $(TOPDIR)\windres\resource.rc $(WINDRES_FLAGS) $(RFLAGS) \
		-D VER_FILEDESCRIPTION_STR='\"$(PACKAGE)\"' \
		-D _WINDOWS -o "$(TOPDIR)\$(PACKAGE).syso"
endif

build: .build_rc
ifeq ($(OS),Windows_NT)
	set GOOS=$(GOOS)
	set GOARCH=$(GOARCH)
	go build -o "$(TOPDIR)/$(PACKAGE)"
else
	GOOS="$(GOOS)" GOARCH="$(GOARCH)" go build -o "$(TOPDIR)/$(PACKAGE)"
endif

clean:
ifeq ($(OS),Windows_NT)
	if exist "$(TOPDIR)\vendor" rmdir /S /Q "$(TOPDIR)\vendor"
	del /F "$(TOPDIR)\$(PACKAGE)*"
else
	rm -rf "$(TOPDIR)/vendor"
	rm -rf "$(TOPDIR)/$(PACKAGE)"*
endif
	go clean -cache "$(TOPDIR)/..."

check:
	go test -v -tags postgresql_tests "$(TOPDIR)/..."

style:
	golangci-lint run --new-from-rev=$(NEW_FROM_REV) "$(TOPDIR)/..."

format:
	go fmt "$(TOPDIR)/..."

dist:
ifneq ($(OS),Windows_NT)
	cd $(TOPDIR); \
	go mod vendor; \
	major_verison=$(lastword $(shell grep 'const PLUGIN_VERSION_MAJOR' ./main.go)); \
	minor_verison=$(lastword $(shell grep 'const PLUGIN_VERSION_MINOR' ./main.go)); \
	patch_verison=$(lastword $(shell grep 'const PLUGIN_VERSION_PATCH' ./main.go)); \
	alphatag=$(lastword $(shell grep 'const PLUGIN_VERSION_RC' ./main.go)); \
	lic_years=$(word 3, $(shell grep ' Copyright 2001-' ./main.go)); \
	distdir="$(PACKAGE)-$${major_verison}.$${minor_verison}.$${patch_verison}$${alphatag}"; \
	dist_archive="$${distdir}.tar.gz"; \
	mkdir -p ./$${distdir}; \
	for distfile in '$(DISTFILES)'; do \
		cp -fp ./$${distfile} ./$${distdir}/; \
	done; \
	for subdir in '$(DIST_SUBDIRS)'; do \
		cp -fpR ./$${subdir} ./$${distdir}; \
	done; \
# File revision number must be numeric (Git commit hash cannot be used).
# Therefore to make it numeric and meaningful it is artificially composed from:
#    - branch (development or release),
#    - type (alpha, beta, rc or release),
#    - number of alpha, beta or rc.
# 'branch' expression tries to find out is it a development branch or release branch.
#      Result is encoded as: 1 - dev branch, release branch or error occurred, 2 - tag.
# 'type_name' expression tries to find out what type of release it is.
#      Expected result is: "alpha", "beta", "rc" or "" (empty string).
# 'type_num' expression encodes 'type_name' as numeric value:
#      1 - alpha, 2 - beta, 3 - rc, 4 - release, 0 - unknown.
# 'type_count' expression tries to find out number of "alpha", "beta" or "rc" (e.g. 1 from "rc1").
	branch=`(git symbolic-ref -q HEAD > /dev/null && echo 1) || (git tag -l --points-at HEAD| grep "."| grep -q -v "-" && echo 2) || echo 1`; \
	type_name=`cat ./main.go| sed -n -e '/AGENT_VERSION_RC/s/.*"\([a-z]*\)[0-9]*"/\1/p'`; \
	type_num=`(test "x$$type_name" = "xalpha" && echo "1") || echo ""`; \
	type_num=`(test -z $$type_num && test "x$$type_name" = "xbeta" && echo "2") || echo "$$type_num"`; \
	type_num=`(test -z $$type_num && test "x$$type_name" = "xrc" && echo "3") || echo "$$type_num"`; \
	type_num=`(test -z $$type_num && test -z $$type_name && echo "4") || echo "$$type_num"`; \
	type_num=`(test -z $$type_num && echo "0") || echo "$$type_num"`; \
	type_count=`cat ./main.go|sed -n -e '/ZABBIX_VERSION_RC/s/.*"[a-z]*\([0-9]*\)"/\1/p'`; \
	type_count=`printf '%02d' $$type_count`; \
	cat ./$${distdir}/windres/resource.h|sed "s/{ZABBIX_VERSION_MAJOR}/$${major_verison}/g"| \
	sed "s/{ZABBIX_VERSION_MINOR}/$${minor_verison}/g"| sed "s/{ZABBIX_VERSION_PATCH}/$${patch_verison}/g"| \
	sed "s/{ZABBIX_VERSION_RC}/\"$${alphatag}\"/g"| sed "s/{ZABBIX_RC_NUM}/$$branch$$type_num$$type_count/g"| \
	sed "s/{ZABBIX_LICENSE_YEARS}/\"$${lic_years}\"/g"| sed "s/{VER_FILEDESCRIPTION_STR}/$(PACKAGE)/g" \
	> ./$${distdir}/windres/resource.h.new; mv ./$${distdir}/windres/resource.h.new ./$${distdir}/windres/resource.h; \
	tar -czvf ./$${dist_archive} ./$${distdir}; \
	rm -rf ./$${distdir}
endif

sbom.json:
	CGO_CFLAGS="${CGO_CFLAGS}" CGO_LDFLAGS="${CGO_LDFLAGS}" cyclonedx-gomod mod \
		   -output-version 1.4 \
		   -licenses -assert-licenses -json -output "$@"

sbom.xml:
	CGO_CFLAGS="${CGO_CFLAGS}" CGO_LDFLAGS="${CGO_LDFLAGS}" cyclonedx-gomod mod \
		   -output-version 1.4 \
		   -licenses -assert-licenses -output "$@"

sbom: sbom.json

.PHONY: sbom

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:6.4.16~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 6.4.16rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 10 Jun 2024 13:44:49 +0300

zabbix-agent2-plugin-postgresql (1:6.4.16-1) stable; urgency=low

  * update to 6.4.16

 -- Zabbix Packager <info@zabbix.com>  Fri, 07 Jun 2024 15:33:41 +0300

zabbix-agent2-plugin-postgresql (1:6.4.15-1) stable; urgency=low

  * update to 6.4.15

 -- Zabbix Packager <info@zabbix.com>  Tue, 21 May 2024 12:22:02 +0300

## zabbix-agent2-plugin-postgresql 6.4.16~rc2

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:6.4.16~rc2-1+ubuntu24.04) stable; urgency=low

  * update to 6.4.16rc2

 -- Zabbix Packager <info@zabbix.com>  Fri, 14 Jun 2024 10:15:55 +0300

zabbix-agent2-plugin-postgresql (1:6.4.16~rc1-1) stable; urgency=low

  * update to 6.4.16rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 10 Jun 2024 13:44:49 +0300

## zabbix-agent2-plugin-postgresql 6.4.16

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:6.4.16-1+ubuntu24.04) stable; urgency=low

  * update to 6.4.16

 -- Zabbix Packager <info@zabbix.com>  Mon, 17 Jun 2024 12:31:37 +0300

zabbix-agent2-plugin-postgresql (1:6.4.16~rc2-1) stable; urgency=low

  * update to 6.4.16rc2

 -- Zabbix Packager <info@zabbix.com>  Fri, 14 Jun 2024 10:15:55 +0300

## zabbix-agent2-plugin-postgresql 6.4.17~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:6.4.17~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 6.4.17rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 09 Jul 2024 18:04:10 +0300

## zabbix-agent2-plugin-postgresql 6.4.17

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:6.4.17-1+ubuntu24.04) stable; urgency=low

  * update to 6.4.17

 -- Zabbix Packager <info@zabbix.com>  Mon, 15 Jul 2024 14:05:07 +0300

zabbix-agent2-plugin-postgresql (1:6.4.17~rc1-1) stable; urgency=low

  * update to 6.4.17rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 09 Jul 2024 18:04:10 +0300

## zabbix-agent2-plugin-postgresql 6.4.18~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:6.4.18~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 6.4.18rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 12 Aug 2024 12:04:01 +0300

zabbix-agent2-plugin-postgresql (1:6.4.17-1) stable; urgency=low

  * update to 6.4.17

 -- Zabbix Packager <info@zabbix.com>  Mon, 15 Jul 2024 14:05:07 +0300

## zabbix-agent2-plugin-postgresql 6.4.18

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:6.4.18-1+ubuntu24.04) stable; urgency=low

  * update to 6.4.18

 -- Zabbix Packager <info@zabbix.com>  Mon, 19 Aug 2024 11:00:09 +0300

zabbix-agent2-plugin-postgresql (1:6.4.18~rc1-1) stable; urgency=low

  * update to 6.4.18rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 12 Aug 2024 12:04:01 +0300

## zabbix-agent2-plugin-postgresql 6.4.19~rc1

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 ifneq ("$(shell findstr ZABBIX_RC_NUM $(TOPDIR)\windres\resource.h)","")
 ifeq ("$(WINDRES_FLAGS)","")
 WINDRES_FLAGS := \
-	-D ZABBIX_LICENSE_YEARS='\"$(word 3,$(shell findstr Copyright $(TOPDIR)\main.go | findstr 2001-20))\"' \
+	-D ZABBIX_LICENSE_YEARS='\"$(word 4,$(shell findstr Copyright $(TOPDIR)\main.go | findstr 2001-20))\"' \
 	-D ZABBIX_VERSION_MAJOR=$(lastword $(shell findstr const $(TOPDIR)\main.go | findstr VERSION_MAJOR)) \
 	-D ZABBIX_VERSION_MINOR=$(lastword $(shell findstr const $(TOPDIR)\main.go | findstr VERSION_MINOR)) \
 	-D ZABBIX_VERSION_PATCH=$(lastword $(shell findstr const $(TOPDIR)\main.go | findstr VERSION_PATCH)) \
@@ -118,7 +118,7 @@
 	minor_verison=$(lastword $(shell grep 'const PLUGIN_VERSION_MINOR' ./main.go)); \
 	patch_verison=$(lastword $(shell grep 'const PLUGIN_VERSION_PATCH' ./main.go)); \
 	alphatag=$(lastword $(shell grep 'const PLUGIN_VERSION_RC' ./main.go)); \
-	lic_years=$(word 3, $(shell grep ' Copyright 2001-' ./main.go)); \
+	lic_years=$(word 4, $(shell grep ' Copyright (C) 2001-' ./main.go)); \
 	distdir="$(PACKAGE)-$${major_verison}.$${minor_verison}.$${patch_verison}$${alphatag}"; \
 	dist_archive="$${distdir}.tar.gz"; \
 	mkdir -p ./$${distdir}; \

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:6.4.19~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 6.4.19rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 17 Sep 2024 09:24:14 +0300

zabbix-agent2-plugin-postgresql (1:6.4.18-1) stable; urgency=low

  * update to 6.4.18

 -- Zabbix Packager <info@zabbix.com>  Mon, 19 Aug 2024 11:00:09 +0300

## zabbix-agent2-plugin-postgresql 6.4.19

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:6.4.19-1+ubuntu24.04) stable; urgency=low

  * update to 6.4.19

 -- Zabbix Packager <info@zabbix.com>  Mon, 23 Sep 2024 14:04:34 +0300

zabbix-agent2-plugin-postgresql (1:6.4.19~rc1-1) stable; urgency=low

  * update to 6.4.19rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 17 Sep 2024 09:24:14 +0300

## zabbix-agent2-plugin-postgresql 6.4.20~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:6.4.20~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 6.4.20rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 11 Nov 2024 15:05:00 +0200

zabbix-agent2-plugin-postgresql (1:6.4.19-1) stable; urgency=low

  * update to 6.4.19

 -- Zabbix Packager <info@zabbix.com>  Mon, 23 Sep 2024 14:04:34 +0300

## zabbix-agent2-plugin-postgresql 6.4.20

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:6.4.20-1+ubuntu24.04) stable; urgency=low

  * update to 6.4.20

 -- Zabbix Packager <info@zabbix.com>  Tue, 19 Nov 2024 17:00:19 +0200

zabbix-agent2-plugin-postgresql (1:6.4.20~rc1-1) stable; urgency=low

  * update to 6.4.20rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 11 Nov 2024 15:05:00 +0200

## zabbix-agent2-plugin-postgresql 6.4.21~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:6.4.21~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 6.4.21rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 20 Jan 2025 12:49:01 +0200

zabbix-agent2-plugin-postgresql (1:6.4.20-1) stable; urgency=low

  * update to 6.4.20

 -- Zabbix Packager <info@zabbix.com>  Tue, 19 Nov 2024 17:00:19 +0200

## zabbix-agent2-plugin-postgresql 6.4.21

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:6.4.21-1+ubuntu24.04) stable; urgency=low

  * update to 6.4.21

 -- Zabbix Packager <info@zabbix.com>  Mon, 27 Jan 2025 11:57:51 +0200

zabbix-agent2-plugin-postgresql (1:6.4.21~rc1-1) stable; urgency=low

  * update to 6.4.21rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 20 Jan 2025 12:49:01 +0200

## zabbix-agent2-plugin-postgresql 7.0.0~alpha1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.0~alpha1-1+ubuntu22.04) stable; urgency=low

  * update to 7.0.0

 -- Zabbix Packager <info@zabbix.com>  Wed, 24 May 2023 09:42:13 +0300

## zabbix-agent2-plugin-postgresql 7.0.0~alpha2

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.0~alpha2-1+ubuntu22.04) stable; urgency=low

  * update to 7.0.0alpha2

 -- Zabbix Packager <info@zabbix.com>  Tue, 20 Jun 2023 13:58:12 +0300

zabbix-agent2-plugin-postgresql (1:7.0.0~alpha1-1) stable; urgency=low

  * update to 7.0.0

 -- Zabbix Packager <info@zabbix.com>  Wed, 24 May 2023 09:42:13 +0300

## zabbix-agent2-plugin-postgresql 7.0.0~alpha3

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.0~alpha3-1+ubuntu22.04) stable; urgency=low

  * update to 7.0.0alpha3

 -- Zabbix Packager <info@zabbix.com>  Wed, 26 Jul 2023 10:46:24 +0300

zabbix-agent2-plugin-postgresql (1:7.0.0~alpha2-1) stable; urgency=low

  * update to 7.0.0alpha2

 -- Zabbix Packager <info@zabbix.com>  Tue, 20 Jun 2023 13:58:12 +0300

## zabbix-agent2-plugin-postgresql 7.0.0~alpha4

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.0~alpha4-2+ubuntu22.04) stable; urgency=low

  * update to 7.0.0alpha5
  * added arm64 packages

 -- Zabbix Packager <info@zabbix.com>  Mon, 04 Sep 2023 09:01:40 +0300

zabbix-agent2-plugin-postgresql (1:7.0.0~alpha4-1) stable; urgency=low

  * update to 7.0.0alpha4

 -- Zabbix Packager <info@zabbix.com>  Tue, 29 Aug 2023 12:57:54 +0300

zabbix-agent2-plugin-postgresql (1:7.0.0~alpha3-1) stable; urgency=low

  * update to 7.0.0alpha3

 -- Zabbix Packager <info@zabbix.com>  Wed, 26 Jul 2023 10:46:24 +0300

## zabbix-agent2-plugin-postgresql 7.0.0~alpha6

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.0~alpha6-3+debian9) stable; urgency=low

  * rebuild of 7.0.0alpha6 with correct golang environment for armhf

 -- Zabbix Packager <info@zabbix.com>  Mon, 09 Oct 2023 17:16:48 +0300

zabbix-agent2-plugin-postgresql (1:7.0.0~alpha6-2) stable; urgency=low

  * update to 7.0.0alpha6

 -- Zabbix Packager <info@zabbix.com>  Tue, 03 Oct 2023 12:11:50 +0300

zabbix-agent2-plugin-postgresql (1:7.0.0~alpha5-2) stable; urgency=low

  * update to 7.0.0alpha5

 -- Zabbix Packager <info@zabbix.com>  Wed, 27 Sep 2023 11:45:52 +0300

zabbix-agent2-plugin-postgresql (1:7.0.0~alpha4-2) stable; urgency=low

  * update to 7.0.0alpha5
  * added arm64 packages

 -- Zabbix Packager <info@zabbix.com>  Mon, 04 Sep 2023 09:01:40 +0300

## zabbix-agent2-plugin-postgresql 7.0.0~alpha7

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.0~alpha7-3+ubuntu22.04) stable; urgency=low

  * update to 7.0.0alpha7

 -- Zabbix Packager <info@zabbix.com>  Thu, 26 Oct 2023 11:56:21 +0300

zabbix-agent2-plugin-postgresql (1:7.0.0~alpha6-3) stable; urgency=low

  * rebuild of 7.0.0alpha6 with correct golang environment for armhf

 -- Zabbix Packager <info@zabbix.com>  Mon, 09 Oct 2023 17:16:48 +0300

## zabbix-agent2-plugin-postgresql 7.0.0~alpha8

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.0~alpha8-3+ubuntu22.04) stable; urgency=low

  * update to 7.0.0alpha8

 -- Zabbix Packager <info@zabbix.com>  Fri, 24 Nov 2023 15:59:18 +0200

zabbix-agent2-plugin-postgresql (1:7.0.0~alpha7-3) stable; urgency=low

  * update to 7.0.0alpha7

 -- Zabbix Packager <info@zabbix.com>  Thu, 26 Oct 2023 11:56:21 +0300

## zabbix-agent2-plugin-postgresql 7.0.0~alpha9

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.0~alpha9-1+ubuntu22.04) stable; urgency=low

  * update to 7.0.0alpha9

 -- Zabbix Packager <info@zabbix.com>  Tue, 19 Dec 2023 14:30:50 +0200

zabbix-agent2-plugin-postgresql (1:7.0.0~alpha8-3) stable; urgency=low

  * update to 7.0.0alpha8

 -- Zabbix Packager <info@zabbix.com>  Fri, 24 Nov 2023 15:59:18 +0200

## zabbix-agent2-plugin-postgresql 7.0.0~beta1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.0~beta1-1+ubuntu22.04) stable; urgency=low

  * update to 7.0.0beta1

 -- Zabbix Packager <info@zabbix.com>  Tue, 30 Jan 2024 12:12:46 +0200

zabbix-agent2-plugin-postgresql (1:7.0.0~alpha9-1) stable; urgency=low

  * update to 7.0.0alpha9

 -- Zabbix Packager <info@zabbix.com>  Tue, 19 Dec 2023 14:30:50 +0200

## zabbix-agent2-plugin-postgresql 7.0.0~beta2

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.0~beta2-1+ubuntu22.04) stable; urgency=low

  * update to 7.0.0beta2

 -- Zabbix Packager <info@zabbix.com>  Wed, 20 Mar 2024 14:46:13 +0200

zabbix-agent2-plugin-postgresql (1:7.0.0~beta1-1) stable; urgency=low

  * update to 7.0.0beta1

 -- Zabbix Packager <info@zabbix.com>  Tue, 30 Jan 2024 12:12:46 +0200

## zabbix-agent2-plugin-postgresql 7.0.0~beta3

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,6 @@
 TOPDIR := $(CURDIR)
 
 ifeq ($(OS),Windows_NT)
-GOOS := windows
 SHELL := cmd
 TOPDIR := $(subst /,\,$(CURDIR))
 PACKAGE:=$(PACKAGE).exe
@@ -12,11 +11,11 @@
 ifneq ("$(shell findstr ZABBIX_RC_NUM $(TOPDIR)\windres\resource.h)","")
 ifeq ("$(WINDRES_FLAGS)","")
 WINDRES_FLAGS := \
-	-D ZABBIX_LICENSE_YEARS='\"$(word 4,$(shell findstr Copyright $(TOPDIR)\main.go | findstr 2001-20))\"' \
-	-D ZABBIX_VERSION_MAJOR=$(lastword $(shell findstr const $(TOPDIR)\main.go | findstr VERSION_MAJOR)) \
-	-D ZABBIX_VERSION_MINOR=$(lastword $(shell findstr const $(TOPDIR)\main.go | findstr VERSION_MINOR)) \
-	-D ZABBIX_VERSION_PATCH=$(lastword $(shell findstr const $(TOPDIR)\main.go | findstr VERSION_PATCH)) \
-	-D ZABBIX_VERSION_RC='\"$(lastword $(shell findstr const $(TOPDIR)\main.go | findstr VERSION_RC))\"' \
+	-D ZABBIX_LICENSE_YEARS='\"$(word 3,$(shell findstr Copyright $(TOPDIR)\main.go | findstr 2001-20))\"' \
+	-D ZABBIX_VERSION_MAJOR=$(lastword $(shell findstr VERSION_MAJOR $(TOPDIR)\main.go | findstr =)) \
+	-D ZABBIX_VERSION_MINOR=$(lastword $(shell findstr VERSION_MINOR $(TOPDIR)\main.go | findstr =)) \
+	-D ZABBIX_VERSION_PATCH=$(lastword $(shell findstr VERSION_PATCH $(TOPDIR)\main.go | findstr =)) \
+	-D ZABBIX_VERSION_RC='\"$(lastword $(shell findstr VERSION_RC $(TOPDIR)\main.go | findstr =))\"' \
 	-D ZABBIX_VERSION_RC_NUM=1000
 endif
 endif
@@ -24,40 +23,17 @@
 RFLAGS := $(RFLAGS) --input-format=rc -O coff
 
 ifeq ("$(ARCH)", "")
-ifdef PROCESSOR_ARCHITECTURE
 	ARCH := $(PROCESSOR_ARCHITECTURE)
-else
-	ARCH := x86
 endif
 endif
 
-ifeq ($(ARCH), x86)
+ifeq ("$(ARCH)", "x86")
+	GOARCH := 386
 	RFLAGS := $(RFLAGS) --target=pe-i386
-else ifeq ($(ARCH), AMD64)
+
+else
+	GOARCH := amd64
 	RFLAGS := $(RFLAGS) --target=pe-x86-64
-else ifeq (,$(findstring ARM,$(ARCH)))
-ifneq ($(ARCH), $(PROCESSOR_ARCHITECTURE))
-$(error Unsupported CPU architecture: $(ARCH))
-endif
-endif
-endif
-
-ifeq ($(ARCH), x86)
-	GOARCH := 386
-else ifeq ($(ARCH), AMD64)
-	GOARCH := amd64
-else ifeq ($(ARCH), ARM)
-	GOARCH := arm
-else ifeq ($(ARCH), ARM64)
-	GOARCH := arm64
-endif
-
-ifndef GOOS
-GOOS := $(shell go env GOOS)
-endif
-
-ifndef GOARCH
-GOARCH := $(shell go env GOARCH)
 endif
 
 DISTFILES = \
@@ -83,13 +59,8 @@
 endif
 
 build: .build_rc
-ifeq ($(OS),Windows_NT)
-	set GOOS=$(GOOS)
 	set GOARCH=$(GOARCH)
 	go build -o "$(TOPDIR)/$(PACKAGE)"
-else
-	GOOS="$(GOOS)" GOARCH="$(GOARCH)" go build -o "$(TOPDIR)/$(PACKAGE)"
-endif
 
 clean:
 ifeq ($(OS),Windows_NT)
@@ -99,7 +70,7 @@
 	rm -rf "$(TOPDIR)/vendor"
 	rm -rf "$(TOPDIR)/$(PACKAGE)"*
 endif
-	go clean -cache "$(TOPDIR)/..."
+	go clean "$(TOPDIR)/..."
 
 check:
 	go test -v -tags postgresql_tests "$(TOPDIR)/..."
@@ -114,11 +85,11 @@
 ifneq ($(OS),Windows_NT)
 	cd $(TOPDIR); \
 	go mod vendor; \
-	major_verison=$(lastword $(shell grep 'const PLUGIN_VERSION_MAJOR' ./main.go)); \
-	minor_verison=$(lastword $(shell grep 'const PLUGIN_VERSION_MINOR' ./main.go)); \
-	patch_verison=$(lastword $(shell grep 'const PLUGIN_VERSION_PATCH' ./main.go)); \
-	alphatag=$(lastword $(shell grep 'const PLUGIN_VERSION_RC' ./main.go)); \
-	lic_years=$(word 4, $(shell grep ' Copyright (C) 2001-' ./main.go)); \
+	major_verison=$(lastword $(shell grep 'PLUGIN_VERSION_MAJOR =' ./main.go)); \
+	minor_verison=$(lastword $(shell grep 'PLUGIN_VERSION_MINOR =' ./main.go)); \
+	patch_verison=$(lastword $(shell grep 'PLUGIN_VERSION_PATCH =' ./main.go)); \
+	alphatag=$(lastword $(shell grep 'PLUGIN_VERSION_RC    =' ./main.go)); \
+	lic_years=$(word 3, $(shell grep ' Copyright 2001-' ./main.go)); \
 	distdir="$(PACKAGE)-$${major_verison}.$${minor_verison}.$${patch_verison}$${alphatag}"; \
 	dist_archive="$${distdir}.tar.gz"; \
 	mkdir -p ./$${distdir}; \

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.0~beta3-2+ubuntu24.04) stable; urgency=low

  * second build of 7.0.0beta3

 -- Zabbix Packager <info@zabbix.com>  Thu, 02 May 2024 10:59:08 +0300

zabbix-agent2-plugin-postgresql (1:7.0.0~beta3-1) stable; urgency=low

  * update to 7.0.0beta3

 -- Zabbix Packager <info@zabbix.com>  Wed, 17 Apr 2024 10:57:28 +0300

zabbix-agent2-plugin-postgresql (1:7.0.0~beta2-1) stable; urgency=low

  * update to 7.0.0beta2

 -- Zabbix Packager <info@zabbix.com>  Wed, 20 Mar 2024 14:46:13 +0200

## zabbix-agent2-plugin-postgresql 7.0.0~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.0~rc1-1+ubuntu22.04) stable; urgency=low

  * update to 7.0.0rc1
  * changed license to AGPL 3.0 only

 -- Zabbix Packager <info@zabbix.com>  Tue, 14 May 2024 15:30:48 +0300

zabbix-agent2-plugin-postgresql (1:7.0.0~beta3-2) stable; urgency=low

  * second build of 7.0.0beta3

 -- Zabbix Packager <info@zabbix.com>  Thu, 02 May 2024 10:59:08 +0300

## zabbix-agent2-plugin-postgresql 7.0.0~rc2

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.0~rc2-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.0rc2

 -- Zabbix Packager <info@zabbix.com>  Wed, 22 May 2024 15:46:11 +0300

zabbix-agent2-plugin-postgresql (1:7.0.0~rc1-1) stable; urgency=low

  * update to 7.0.0rc1
  * changed license to AGPL 3.0 only

 -- Zabbix Packager <info@zabbix.com>  Tue, 14 May 2024 15:30:48 +0300

## zabbix-agent2-plugin-postgresql 7.0.0~rc3

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.0~rc3-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.0rc3

 -- Zabbix Packager <info@zabbix.com>  Tue, 28 May 2024 11:26:42 +0300

zabbix-agent2-plugin-postgresql (1:7.0.0~rc2-1) stable; urgency=low

  * update to 7.0.0rc2

 -- Zabbix Packager <info@zabbix.com>  Wed, 22 May 2024 15:46:11 +0300

## zabbix-agent2-plugin-postgresql 7.0.0

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.0-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.0

 -- Zabbix Packager <info@zabbix.com>  Mon, 03 Jun 2024 08:55:34 +0300

zabbix-agent2-plugin-postgresql (1:7.0.0~rc3-1) stable; urgency=low

  * update to 7.0.0rc3

 -- Zabbix Packager <info@zabbix.com>  Tue, 28 May 2024 11:26:42 +0300

## zabbix-agent2-plugin-postgresql 7.0.1~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.1~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.1rc1

 -- Zabbix Packager <info@zabbix.com>  Wed, 10 Jul 2024 10:42:55 +0300

zabbix-agent2-plugin-postgresql (1:7.0.0-1) stable; urgency=low

  * update to 7.0.0

 -- Zabbix Packager <info@zabbix.com>  Mon, 03 Jun 2024 08:55:34 +0300

## zabbix-agent2-plugin-postgresql 7.0.1~rc2

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.1~rc2-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.1rc2

 -- Zabbix Packager <info@zabbix.com>  Wed, 17 Jul 2024 16:54:36 +0300

zabbix-agent2-plugin-postgresql (1:7.0.1~rc1-1) stable; urgency=low

  * update to 7.0.1rc1

 -- Zabbix Packager <info@zabbix.com>  Wed, 10 Jul 2024 10:42:55 +0300

## zabbix-agent2-plugin-postgresql 7.0.1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.1-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.1

 -- Zabbix Packager <info@zabbix.com>  Mon, 22 Jul 2024 10:14:13 +0300

zabbix-agent2-plugin-postgresql (1:7.0.1~rc2-1) stable; urgency=low

  * update to 7.0.1rc2

 -- Zabbix Packager <info@zabbix.com>  Wed, 17 Jul 2024 16:54:36 +0300

## zabbix-agent2-plugin-postgresql 7.0.2~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.2~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.2rc1

 -- Zabbix Packager <info@zabbix.com>  Thu, 25 Jul 2024 15:29:31 +0300

zabbix-agent2-plugin-postgresql (1:7.0.1-1) stable; urgency=low

  * update to 7.0.1

 -- Zabbix Packager <info@zabbix.com>  Mon, 22 Jul 2024 10:14:13 +0300

## zabbix-agent2-plugin-postgresql 7.0.2~rc2

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.2~rc2-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.2rc2

 -- Zabbix Packager <info@zabbix.com>  Fri, 26 Jul 2024 15:31:59 +0300

zabbix-agent2-plugin-postgresql (1:7.0.2~rc1-1) stable; urgency=low

  * update to 7.0.2rc1

 -- Zabbix Packager <info@zabbix.com>  Thu, 25 Jul 2024 15:29:31 +0300

## zabbix-agent2-plugin-postgresql 7.0.2

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.2-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.2

 -- Zabbix Packager <info@zabbix.com>  Mon, 29 Jul 2024 10:07:43 +0300

zabbix-agent2-plugin-postgresql (1:7.0.2~rc2-1) stable; urgency=low

  * update to 7.0.2rc2

 -- Zabbix Packager <info@zabbix.com>  Fri, 26 Jul 2024 15:31:59 +0300

## zabbix-agent2-plugin-postgresql 7.0.3~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.3~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.3rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 12 Aug 2024 16:53:57 +0300

zabbix-agent2-plugin-postgresql (1:7.0.2-1) stable; urgency=low

  * update to 7.0.2

 -- Zabbix Packager <info@zabbix.com>  Mon, 29 Jul 2024 10:07:43 +0300

## zabbix-agent2-plugin-postgresql 7.0.3

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.3-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.3

 -- Zabbix Packager <info@zabbix.com>  Mon, 19 Aug 2024 13:22:41 +0300

zabbix-agent2-plugin-postgresql (1:7.0.3~rc1-1) stable; urgency=low

  * update to 7.0.3rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 12 Aug 2024 16:53:57 +0300

## zabbix-agent2-plugin-postgresql 7.0.4~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.4~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.4rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 17 Sep 2024 14:42:57 +0300

zabbix-agent2-plugin-postgresql (1:7.0.3-1) stable; urgency=low

  * update to 7.0.3

 -- Zabbix Packager <info@zabbix.com>  Mon, 19 Aug 2024 13:22:41 +0300

## zabbix-agent2-plugin-postgresql 7.0.4

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.4-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.4

 -- Zabbix Packager <info@zabbix.com>  Tue, 24 Sep 2024 09:23:01 +0300

zabbix-agent2-plugin-postgresql (1:7.0.4~rc1-1) stable; urgency=low

  * update to 7.0.4rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 17 Sep 2024 14:42:57 +0300

## zabbix-agent2-plugin-postgresql 7.0.5~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.5~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.5rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 14 Oct 2024 15:26:22 +0300

zabbix-agent2-plugin-postgresql (1:7.0.4-1) stable; urgency=low

  * update to 7.0.4

 -- Zabbix Packager <info@zabbix.com>  Tue, 24 Sep 2024 09:23:01 +0300

## zabbix-agent2-plugin-postgresql 7.0.5

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.5-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.5

 -- Zabbix Packager <info@zabbix.com>  Mon, 21 Oct 2024 15:46:31 +0300

zabbix-agent2-plugin-postgresql (1:7.0.5~rc1-1) stable; urgency=low

  * update to 7.0.5rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 14 Oct 2024 15:26:22 +0300

## zabbix-agent2-plugin-postgresql 7.0.6~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.6~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.6rc1

 -- Zabbix Packager <info@zabbix.com>  Wed, 13 Nov 2024 09:03:31 +0200

zabbix-agent2-plugin-postgresql (1:7.0.5-1) stable; urgency=low

  * update to 7.0.5

 -- Zabbix Packager <info@zabbix.com>  Mon, 21 Oct 2024 15:46:31 +0300

## zabbix-agent2-plugin-postgresql 7.0.6

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.6-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.6

 -- Zabbix Packager <info@zabbix.com>  Wed, 20 Nov 2024 09:51:53 +0200

zabbix-agent2-plugin-postgresql (1:7.0.6~rc1-1) stable; urgency=low

  * update to 7.0.6rc1

 -- Zabbix Packager <info@zabbix.com>  Wed, 13 Nov 2024 09:03:31 +0200

## zabbix-agent2-plugin-postgresql 7.0.7~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.7~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.7rc1

 -- Zabbix Packager <info@zabbix.com>  Wed, 11 Dec 2024 12:17:35 +0200

zabbix-agent2-plugin-postgresql (1:7.0.6-1) stable; urgency=low

  * update to 7.0.6
  * added support for debian-12-i386 7.0+

 -- Zabbix Packager <info@zabbix.com>  Wed, 20 Nov 2024 09:51:53 +0200

## zabbix-agent2-plugin-postgresql 7.0.7

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.7-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.7

 -- Zabbix Packager <info@zabbix.com>  Wed, 18 Dec 2024 11:50:16 +0200

zabbix-agent2-plugin-postgresql (1:7.0.7~rc1-1) stable; urgency=low

  * update to 7.0.7rc1

 -- Zabbix Packager <info@zabbix.com>  Wed, 11 Dec 2024 12:17:35 +0200

## zabbix-agent2-plugin-postgresql 7.0.8~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.8~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.8rc1

 -- Zabbix Packager <info@zabbix.com>  Thu, 19 Dec 2024 19:31:53 +0200

zabbix-agent2-plugin-postgresql (1:7.0.7-1) stable; urgency=low

  * update to 7.0.7

 -- Zabbix Packager <info@zabbix.com>  Wed, 18 Dec 2024 11:50:16 +0200

## zabbix-agent2-plugin-postgresql 7.0.8~rc2

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.8~rc2-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.8rc2

 -- Zabbix Packager <info@zabbix.com>  Thu, 02 Jan 2025 13:17:18 +0200

zabbix-agent2-plugin-postgresql (1:7.0.8~rc1-1) stable; urgency=low

  * update to 7.0.8rc1

 -- Zabbix Packager <info@zabbix.com>  Thu, 19 Dec 2024 19:31:53 +0200

## zabbix-agent2-plugin-postgresql 7.0.8

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.8-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.8

 -- Zabbix Packager <info@zabbix.com>  Mon, 06 Jan 2025 11:16:26 +0200

zabbix-agent2-plugin-postgresql (1:7.0.8~rc2-1) stable; urgency=low

  * update to 7.0.8rc2

 -- Zabbix Packager <info@zabbix.com>  Thu, 02 Jan 2025 13:17:18 +0200

## zabbix-agent2-plugin-postgresql 7.0.9~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.9~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.9rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 21 Jan 2025 12:14:45 +0200

zabbix-agent2-plugin-postgresql (1:7.0.8-1) stable; urgency=low

  * update to 7.0.8

 -- Zabbix Packager <info@zabbix.com>  Mon, 06 Jan 2025 11:16:26 +0200

## zabbix-agent2-plugin-postgresql 7.0.9~rc2

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.9~rc2-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.9rc2

 -- Zabbix Packager <info@zabbix.com>  Wed, 22 Jan 2025 12:57:18 +0200

zabbix-agent2-plugin-postgresql (1:7.0.9~rc1-1) stable; urgency=low

  * update to 7.0.9rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 21 Jan 2025 12:14:45 +0200

## zabbix-agent2-plugin-postgresql 7.0.9

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.9-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.9

 -- Zabbix Packager <info@zabbix.com>  Mon, 27 Jan 2025 14:08:11 +0200

zabbix-agent2-plugin-postgresql (1:7.0.9~rc2-1) stable; urgency=low

  * update to 7.0.9rc2

 -- Zabbix Packager <info@zabbix.com>  Wed, 22 Jan 2025 12:57:18 +0200

## zabbix-agent2-plugin-postgresql 7.0.10~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.10~rc1-1+ubuntu22.04) stable; urgency=low

  * update to 7.0.10rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 17 Feb 2025 10:57:24 +0200

zabbix-agent2-plugin-postgresql (1:7.0.9-1) stable; urgency=low

  * update to 7.0.9

 -- Zabbix Packager <info@zabbix.com>  Mon, 27 Jan 2025 14:08:11 +0200

=== debian/control ===
Source: zabbix-agent2-plugin-postgresql
Section: net
Priority: optional
Maintainer: Zabbix Packager <info@zabbix.com>
Build-Depends: debhelper, quilt (>= 0.40) | devscripts (>= 2.17.12)
Standards-Version: 3.9.5
Homepage: https://www.zabbix.com

Package: zabbix-agent2-plugin-postgresql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Suggests: logrotate
Description: Zabbix Agent2 plugin for monitoring PostgreSQL installations
 This package is an add-on for zabbix-agent2.
 .
 This package enables monitoring postgresql installations with Zabbix Agent2.

## zabbix-agent2-plugin-postgresql 7.0.10

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.10-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.10

 -- Zabbix Packager <info@zabbix.com>  Mon, 24 Feb 2025 10:43:31 +0200

zabbix-agent2-plugin-postgresql (1:7.0.10~rc1-1) stable; urgency=low

  * update to 7.0.10rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 17 Feb 2025 10:57:24 +0200

## zabbix-agent2-plugin-postgresql 7.0.11~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.11~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.11rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 18 Mar 2025 09:49:41 +0200

zabbix-agent2-plugin-postgresql (1:7.0.10-1) stable; urgency=low

  * update to 7.0.10

 -- Zabbix Packager <info@zabbix.com>  Mon, 24 Feb 2025 10:43:31 +0200

## zabbix-agent2-plugin-postgresql 7.0.11~rc2

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 TOPDIR := $(CURDIR)
 
 ifeq ($(OS),Windows_NT)
+GOOS := windows
 SHELL := cmd
 TOPDIR := $(subst /,\,$(CURDIR))
 PACKAGE:=$(PACKAGE).exe
@@ -11,7 +12,7 @@
 ifneq ("$(shell findstr ZABBIX_RC_NUM $(TOPDIR)\windres\resource.h)","")
 ifeq ("$(WINDRES_FLAGS)","")
 WINDRES_FLAGS := \
-	-D ZABBIX_LICENSE_YEARS='\"$(word 3,$(shell findstr Copyright $(TOPDIR)\main.go | findstr 2001-20))\"' \
+	-D ZABBIX_LICENSE_YEARS='\"$(word 4,$(shell findstr Copyright $(TOPDIR)\main.go | findstr 2001-20))\"' \
 	-D ZABBIX_VERSION_MAJOR=$(lastword $(shell findstr VERSION_MAJOR $(TOPDIR)\main.go | findstr =)) \
 	-D ZABBIX_VERSION_MINOR=$(lastword $(shell findstr VERSION_MINOR $(TOPDIR)\main.go | findstr =)) \
 	-D ZABBIX_VERSION_PATCH=$(lastword $(shell findstr VERSION_PATCH $(TOPDIR)\main.go | findstr =)) \
@@ -23,17 +24,40 @@
 RFLAGS := $(RFLAGS) --input-format=rc -O coff
 
 ifeq ("$(ARCH)", "")
+ifdef PROCESSOR_ARCHITECTURE
 	ARCH := $(PROCESSOR_ARCHITECTURE)
+else
+	ARCH := x86
 endif
 endif
 
-ifeq ("$(ARCH)", "x86")
+ifeq ($(ARCH), x86)
+	RFLAGS := $(RFLAGS) --target=pe-i386
+else ifeq ($(ARCH), AMD64)
+	RFLAGS := $(RFLAGS) --target=pe-x86-64
+else ifeq (,$(findstring ARM,$(ARCH)))
+ifneq ($(ARCH), $(PROCESSOR_ARCHITECTURE))
+$(error Unsupported CPU architecture: $(ARCH))
+endif
+endif
+endif
+
+ifeq ($(ARCH), x86)
 	GOARCH := 386
-	RFLAGS := $(RFLAGS) --target=pe-i386
+else ifeq ($(ARCH), AMD64)
+	GOARCH := amd64
+else ifeq ($(ARCH), ARM)
+	GOARCH := arm
+else ifeq ($(ARCH), ARM64)
+	GOARCH := arm64
+endif
 
-else
-	GOARCH := amd64
-	RFLAGS := $(RFLAGS) --target=pe-x86-64
+ifndef GOOS
+GOOS := $(shell go env GOOS)
+endif
+
+ifndef GOARCH
+GOARCH := $(shell go env GOARCH)
 endif
 
 DISTFILES = \
@@ -59,8 +83,13 @@
 endif
 
 build: .build_rc
+ifeq ($(OS),Windows_NT)
+	set GOOS=$(GOOS)
 	set GOARCH=$(GOARCH)
 	go build -o "$(TOPDIR)/$(PACKAGE)"
+else
+	GOOS="$(GOOS)" GOARCH="$(GOARCH)" go build -o "$(TOPDIR)/$(PACKAGE)"
+endif
 
 clean:
 ifeq ($(OS),Windows_NT)
@@ -89,7 +118,7 @@
 	minor_verison=$(lastword $(shell grep 'PLUGIN_VERSION_MINOR =' ./main.go)); \
 	patch_verison=$(lastword $(shell grep 'PLUGIN_VERSION_PATCH =' ./main.go)); \
 	alphatag=$(lastword $(shell grep 'PLUGIN_VERSION_RC    =' ./main.go)); \
-	lic_years=$(word 3, $(shell grep ' Copyright 2001-' ./main.go)); \
+	lic_years=$(word 4, $(shell grep ' Copyright (C) 2001-' ./main.go)); \
 	distdir="$(PACKAGE)-$${major_verison}.$${minor_verison}.$${patch_verison}$${alphatag}"; \
 	dist_archive="$${distdir}.tar.gz"; \
 	mkdir -p ./$${distdir}; \

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.11~rc2-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.11rc2

 -- Zabbix Packager <info@zabbix.com>  Tue, 25 Mar 2025 09:06:43 +0200

zabbix-agent2-plugin-postgresql (1:7.0.11~rc1-1) stable; urgency=low

  * update to 7.0.11rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 18 Mar 2025 09:49:41 +0200

## zabbix-agent2-plugin-postgresql 7.0.11

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.11-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.11

 -- Zabbix Packager <info@zabbix.com>  Thu, 27 Mar 2025 08:24:15 +0200

zabbix-agent2-plugin-postgresql (1:7.0.11~rc2-1) stable; urgency=low

  * update to 7.0.11rc2

 -- Zabbix Packager <info@zabbix.com>  Tue, 25 Mar 2025 09:06:43 +0200

## zabbix-agent2-plugin-postgresql 7.0.12~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.12~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.12rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 14 Apr 2025 11:59:23 +0300

zabbix-agent2-plugin-postgresql (1:7.0.11-1) stable; urgency=low

  * update to 7.0.11

 -- Zabbix Packager <info@zabbix.com>  Thu, 27 Mar 2025 08:24:15 +0200

## zabbix-agent2-plugin-postgresql 7.0.12

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.12-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.12

 -- Zabbix Packager <info@zabbix.com>  Tue, 22 Apr 2025 12:07:44 +0300

zabbix-agent2-plugin-postgresql (1:7.0.12~rc1-1) stable; urgency=low

  * update to 7.0.12rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 14 Apr 2025 11:59:23 +0300

## zabbix-agent2-plugin-postgresql 7.0.13~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.13~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.13rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 13 May 2025 11:01:10 +0300

zabbix-agent2-plugin-postgresql (1:7.0.12-1) stable; urgency=low

  * update to 7.0.12

 -- Zabbix Packager <info@zabbix.com>  Tue, 22 Apr 2025 12:07:44 +0300

## zabbix-agent2-plugin-postgresql 7.0.13

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.13-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.13

 -- Zabbix Packager <info@zabbix.com>  Tue, 20 May 2025 10:39:23 +0300

zabbix-agent2-plugin-postgresql (1:7.0.13~rc1-1) stable; urgency=low

  * update to 7.0.13rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 13 May 2025 11:01:10 +0300

## zabbix-agent2-plugin-postgresql 7.0.14~rc1

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 PACKAGE=zabbix-agent2-plugin-postgresql
 TOPDIR := $(CURDIR)
+SHELL := /bin/bash
 
 ifeq ($(OS),Windows_NT)
 GOOS := windows
@@ -114,10 +115,11 @@
 ifneq ($(OS),Windows_NT)
 	cd $(TOPDIR); \
 	go mod vendor; \
-	major_verison=$(lastword $(shell grep 'PLUGIN_VERSION_MAJOR =' ./main.go)); \
-	minor_verison=$(lastword $(shell grep 'PLUGIN_VERSION_MINOR =' ./main.go)); \
-	patch_verison=$(lastword $(shell grep 'PLUGIN_VERSION_PATCH =' ./main.go)); \
-	alphatag=$(lastword $(shell grep 'PLUGIN_VERSION_RC    =' ./main.go)); \
+	[[ "$$(head -1 ChangeLog)" =~ ^Changes[[:space:]]for[[:space:]]([0-9]+)\.([0-9]+)\.([0-9]+)((alpha|beta|rc)([0-9]+))? ]]; \
+	major_verison=$${BASH_REMATCH[1]}; \
+	minor_verison=$${BASH_REMATCH[2]}; \
+	patch_verison=$${BASH_REMATCH[3]}; \
+	alphatag=$${BASH_REMATCH[4]}; \
 	lic_years=$(word 4, $(shell grep ' Copyright (C) 2001-' ./main.go)); \
 	distdir="$(PACKAGE)-$${major_verison}.$${minor_verison}.$${patch_verison}$${alphatag}"; \
 	dist_archive="$${distdir}.tar.gz"; \

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.14~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.14rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 10 Jun 2025 13:49:01 +0300

zabbix-agent2-plugin-postgresql (1:7.0.13-1) stable; urgency=low

  * update to 7.0.13

 -- Zabbix Packager <info@zabbix.com>  Tue, 20 May 2025 10:39:23 +0300

## zabbix-agent2-plugin-postgresql 7.0.14

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.14-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.14

 -- Zabbix Packager <info@zabbix.com>  Wed, 18 Jun 2025 11:59:30 +0300

zabbix-agent2-plugin-postgresql (1:7.0.14~rc1-1) stable; urgency=low

  * update to 7.0.14rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 10 Jun 2025 13:49:01 +0300

## zabbix-agent2-plugin-postgresql 7.0.15

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.15-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.15

 -- Zabbix Packager <info@zabbix.com>  Fri, 20 Jun 2025 14:37:38 +0300

zabbix-agent2-plugin-postgresql (1:7.0.14-1) stable; urgency=low

  * update to 7.0.14

 -- Zabbix Packager <info@zabbix.com>  Wed, 18 Jun 2025 11:59:30 +0300

## zabbix-agent2-plugin-postgresql 7.0.16

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.16-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.16

 -- Zabbix Packager <info@zabbix.com>  Fri, 27 Jun 2025 10:09:08 +0300

zabbix-agent2-plugin-postgresql (1:7.0.15-1) stable; urgency=low

  * update to 7.0.15

 -- Zabbix Packager <info@zabbix.com>  Fri, 20 Jun 2025 14:37:38 +0300

## zabbix-agent2-plugin-postgresql 7.0.17~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.17~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.17rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 15 Jul 2025 08:28:54 +0300

zabbix-agent2-plugin-postgresql (1:7.0.16-1) stable; urgency=low

  * update to 7.0.16

 -- Zabbix Packager <info@zabbix.com>  Fri, 27 Jun 2025 10:09:08 +0300

## zabbix-agent2-plugin-postgresql 7.0.17~rc2

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.17~rc2-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.17rc2

 -- Zabbix Packager <info@zabbix.com>  Mon, 21 Jul 2025 10:37:14 +0300

zabbix-agent2-plugin-postgresql (1:7.0.17~rc1-1) stable; urgency=low

  * update to 7.0.17rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 15 Jul 2025 08:28:54 +0300

## zabbix-agent2-plugin-postgresql 7.0.17

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.17-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.17

 -- Zabbix Packager <info@zabbix.com>  Wed, 23 Jul 2025 08:26:46 +0300

zabbix-agent2-plugin-postgresql (1:7.0.17~rc2-1) stable; urgency=low

  * update to 7.0.17rc2

 -- Zabbix Packager <info@zabbix.com>  Mon, 21 Jul 2025 10:37:14 +0300

## zabbix-agent2-plugin-postgresql 7.0.18~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.18~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.18rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 12 Aug 2025 17:46:12 +0300

zabbix-agent2-plugin-postgresql (1:7.0.17-1) stable; urgency=low

  * update to 7.0.17

 -- Zabbix Packager <info@zabbix.com>  Wed, 23 Jul 2025 08:26:46 +0300

## zabbix-agent2-plugin-postgresql 7.0.18~rc2

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.18~rc2-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.18rc2

 -- Zabbix Packager <info@zabbix.com>  Fri, 15 Aug 2025 11:21:49 +0300

zabbix-agent2-plugin-postgresql (1:7.0.18~rc1-1) stable; urgency=low

  * update to 7.0.18rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 12 Aug 2025 17:46:12 +0300

## zabbix-agent2-plugin-postgresql 7.0.18

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.18-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.18

 -- Zabbix Packager <info@zabbix.com>  Mon, 25 Aug 2025 09:44:35 +0300

zabbix-agent2-plugin-postgresql (1:7.0.18~rc2-1) stable; urgency=low

  * update to 7.0.18rc2

 -- Zabbix Packager <info@zabbix.com>  Fri, 15 Aug 2025 11:21:49 +0300

## zabbix-agent2-plugin-postgresql 7.0.19~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.19~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.19rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 23 Sep 2025 11:17:29 +0300

zabbix-agent2-plugin-postgresql (1:7.0.18-1) stable; urgency=low

  * update to 7.0.18

 -- Zabbix Packager <info@zabbix.com>  Mon, 25 Aug 2025 09:44:35 +0300

## zabbix-agent2-plugin-postgresql 7.0.19

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.19-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.19

 -- Zabbix Packager <info@zabbix.com>  Mon, 29 Sep 2025 18:15:33 +0300

zabbix-agent2-plugin-postgresql (1:7.0.19~rc1-1) stable; urgency=low

  * update to 7.0.19rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 23 Sep 2025 11:17:29 +0300

## zabbix-agent2-plugin-postgresql 7.0.20~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.20~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.20rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 21 Oct 2025 10:07:38 +0300

zabbix-agent2-plugin-postgresql (1:7.0.19-1) stable; urgency=low

  * update to 7.0.19

 -- Zabbix Packager <info@zabbix.com>  Mon, 29 Sep 2025 18:15:33 +0300

## zabbix-agent2-plugin-postgresql 7.0.20

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.20-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.20

 -- Zabbix Packager <info@zabbix.com>  Tue, 28 Oct 2025 09:34:21 +0200

zabbix-agent2-plugin-postgresql (1:7.0.20~rc1-1) stable; urgency=low

  * update to 7.0.20rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 21 Oct 2025 10:07:38 +0300

## zabbix-agent2-plugin-postgresql 7.0.21

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.21-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.21

 -- Zabbix Packager <info@zabbix.com>  Mon, 03 Nov 2025 09:36:07 +0200

zabbix-agent2-plugin-postgresql (1:7.0.20-1) stable; urgency=low

  * update to 7.0.20

 -- Zabbix Packager <info@zabbix.com>  Tue, 28 Oct 2025 09:34:21 +0200

## zabbix-agent2-plugin-postgresql 7.0.22~rc1

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.22~rc1-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.22rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 09 Dec 2025 13:00:47 +0200

zabbix-agent2-plugin-postgresql (1:7.0.21-1) stable; urgency=low

  * update to 7.0.21

 -- Zabbix Packager <info@zabbix.com>  Mon, 03 Nov 2025 09:36:07 +0200

## zabbix-agent2-plugin-postgresql 7.0.22~rc2

=== debian/changelog ===
zabbix-agent2-plugin-postgresql (1:7.0.22~rc2-1+ubuntu24.04) stable; urgency=low

  * update to 7.0.22rc2

 -- Zabbix Packager <info@zabbix.com>  Thu, 11 Dec 2025 07:05:29 +0200

zabbix-agent2-plugin-postgresql (1:7.0.22~rc1-1) stable; urgency=low

  * update to 7.0.22rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 09 Dec 2025 13:00:47 +0200
